Subject: Re: bug#13066: 24.2.90; setting rmail-summary-window-size causes error

From: Kenichi Handa <[email-masked]>
Date: Thu, 06 Dec 2012 20:26:46 +0900

In article <[email-masked]>, Kenichi Handa <[email-masked]> writes:

> In article <[email-masked]>, Glenn Morris <[email-masked]> writes:
> > I think it's probably something to do with select-window selecting a
> > buffer when it didn't before. At least it looks to me like
> > the end of rmail-maybe-display-summary is changing buffer when in 24.2
> > it seems not to.

> > I think this makes the problem go away. Other uses are unaffected AFAICS.

> Thank you.  That patch surely solved the problem.

Unfortunately, I found another similar problem.

% emacs -Q
M-x rmail RET
M-x customize-variable RET rmail-summary-window-size
;; Then set it to 10, click [apply], type q, then type h,
;; and then type g (rmail-summary-get-new-mail).

This causes the same error.  The backtrace is this:

Debugger entered--Lisp error: (wrong-type-argument numberp nil)
  zerop(nil)
  (or (zerop msg) (rmail-summary-goto-msg msg))
  (let (msg) (save-current-buffer (set-buffer rmail-buffer) (rmail-get-new-mail file-name) (setq msg rmail-current-message)) (or (zerop msg) (rmail-summary-goto-msg msg)))
  rmail-summary-get-new-mail(nil)
  call-interactively(rmail-summary-get-new-mail nil nil)

---
Kenichi Handa
[email-masked]